Subject: [PATCH v4 00/12] Reroll of the remote-vcs-helper series

From: Sverre Rabbelier <[email-masked]>
Date: Wed, 18 Nov 2009 02:42:20 +0100

I'd say these are all good for next (assuming Daniel doesn't spot
any mistakes). Daniel, valgrind reports some more memory leaks, but
are not introduced by this series. I have fixed the few obvious ones
that I pointed out in my earlier mail though.

I ejected the 'gitdir' patch since it'll have to wait till after the
sr/gfi-options reroll.

If I can find some time I'll send a version of 'git-remote-hg' that
has read-only support for local hg repositories later on.

Daniel Barkalow (8):
      Fix memory leak in helper method for disconnect
      Allow programs to not depend on remotes having urls
      Use a function to determine whether a remote is valid
      Allow fetch to modify refs
      Add a config option for remotes to specify a foreign vcs
      Add support for "import" helper command
      Allow helper to map private ref names into normal names
      Allow helpers to report in "list" command that the ref is unchanged

Johan Herland (1):
      Basic build infrastructure for Python scripts

Johannes Schindelin (1):
      Allow specifying the remote helper in the url

Sverre Rabbelier (2):
      Fix various memory leaks in transport-helper.c
      Add Python support library for remote helpers

 Documentation/config.txt             |    4 +
 Documentation/git-remote-helpers.txt |   28 ++-
 Makefile                             |   51 +++
 builtin-clone.c                      |    3 +-
 builtin-fetch.c                      |    7 +-
 builtin-ls-remote.c                  |    2 +-
 builtin-push.c                       |   68 ++--
 configure.ac                         |    3 +
 git_remote_helpers/.gitignore        |    2 +
 git_remote_helpers/Makefile          |   35 ++
 git_remote_helpers/__init__.py       |   16 +
 git_remote_helpers/git/git.py        |  678 ++++++++++++++++++++++++++++++++++
 git_remote_helpers/setup.py          |   17 +
 git_remote_helpers/util.py           |  194 ++++++++++
 remote.c                             |   42 ++-
 remote.h                             |    7 +
 t/test-lib.sh                        |   10 +
 transport-helper.c                   |  123 ++++++-
 transport.c                          |   31 ++-
 transport.h                          |   41 ++-
 20 files changed, 1316 insertions(+), 46 deletions(-)